Debian Bug report logs - #540421
network-manager-gnome: Cannot authenticate to modify/create/delete system

version graph

Package: libdbus-glib-1-2; Maintainer for libdbus-glib-1-2 is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for libdbus-glib-1-2 is src:dbus-glib.

Reported by: Julien Valroff <julien@kirya.net>

Date: Fri, 7 Aug 2009 19:39:02 UTC

Severity: important

Tags: confirmed

Merged with 541712, 542513, 544174, 546044

Found in version dbus-glib/0.82-1

Fixed in version dbus-glib/0.82-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=23297

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#540421; Package network-manager-gnome. (Fri, 07 Aug 2009 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 07 Aug 2009 19:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager-gnome: Cannot authenticate to modify/create/delete system
Date: Fri, 07 Aug 2009 21:36:30 +0200
Package: network-manager-gnome
Version: 0.7.1-1
Severity: normal

Hi,

When I want to add/delete/edit a system connection as a standard user, nothing happens.

Here are the errors showing in terminal when hitting one of the "Modify" or "Remove" buttons
of nm-connection-editor:

** (nm-connection-editor:5175): WARNING **: Caught error: Method "ObtainAuthorization" with signature "suu" on interface 
"org.freedesktop.PolicyKit.AuthenticationAgent" doesn't exist

Cheers,
Julien


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager-gnome depends on:
ii  libc6                         2.9-23     GNU C Library: Shared libraries
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.82-1     simple interprocess messaging syst
ii  libgconf2-4                   2.26.2-3   GNOME configuration database syste
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.20.4-1   The GLib library of C routines
ii  libgnome-keyring0             2.26.1-1   GNOME keyring services library
ii  libgtk2.0-0                   2.16.5-1   The GTK+ graphical user interface 
ii  libnm-glib-vpn0               0.7.1-1    network management framework (GLib
ii  libnm-glib0                   0.7.1-1    network management framework (GLib
ii  libnm-util1                   0.7.1-1    network management framework (shar
ii  libnotify1 [libnotify1-gtk2.1 0.4.5-1    sends desktop notifications to a n
ii  libpango1.0-0                 1.24.5-1   Layout and rendering of internatio
ii  libpolkit-gnome0              0.9.2-2    PolicyKit-gnome library
ii  libpolkit2                    0.9-4      library for accessing PolicyKit
ii  network-manager               0.7.1-1    network management framework daemo
ii  policykit-gnome               0.9.2-2    GNOME dialogs for PolicyKit

Versions of packages network-manager-gnome recommends:
ii  libpam-gnome-keyring [libpam- 2.26.1-1   PAM module to unlock the GNOME key
ii  notification-daemon           0.4.0-1    a daemon that displays passive pop

Versions of packages network-manager-gnome suggests:
pn  network-manager-openvpn-gnome <none>     (no description available)
pn  network-manager-pptp-gnome    <none>     (no description available)
pn  network-manager-vpnc-gnome    <none>     (no description available)

-- no debconf information






Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#540421; Package network-manager-gnome. (Sun, 16 Aug 2009 00:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diego Escalante Urrelo <diegoe@gnome.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 16 Aug 2009 00:36:04 GMT) Full text and rfc822 format available.

Message #10 received at 540421@bugs.debian.org (full text, mbox):

From: Diego Escalante Urrelo <diegoe@gnome.org>
To: 541712@bugs.debian.org, control@bugs.debian.org, 540421@bugs.debian.org
Subject: RE: libdbus-glib-1-2: Since 0.82-1, nm-connection-editor fails to modify system connections
Date: Sat, 15 Aug 2009 19:32:46 -0500
merge 540421 541712
severity 541712 important
tag 541712 +confirmed
thanks

I can confirm this on sid, reporter suggestion indeed solves the
problem.





Merged 540421 542513. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 22 Aug 2009 08:00:25 GMT) Full text and rfc822 format available.

Bug reassigned from package 'network-manager-gnome' to 'libdbus-glib-1-2'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 11 Sep 2009 23:30:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions network-manager-applet/0.7.1-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 11 Sep 2009 23:30:06 GMT) Full text and rfc822 format available.

Forcibly Merged 540421 541712 542513 544174 546044. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 11 Sep 2009 23:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#540421; Package libdbus-glib-1-2. (Tue, 29 Sep 2009 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@kirya.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 29 Sep 2009 19:09:03 GMT) Full text and rfc822 format available.

Message #23 received at 540421@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@kirya.net>
To: 540421@bugs.debian.org
Subject: Re: Bug#540421: libdbus-glib-1-2: Since 0.82-1, nm-connection-editor fails to modify system connections
Date: Tue, 29 Sep 2009 21:06:00 +0200
[Message part 1 (text/plain, inline)]
package libdbus-glib-1-2
tags 540421 + patch
thanks

Hi,

Please find attached a patch to be applied to the current package
sources in sid (latest patches stolen from git).

Cheers,
Julien
[540421.diff (text/x-patch, attachment)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Sep 2009 23:15:09 GMT) Full text and rfc822 format available.

Notification sent to Julien Valroff <julien@kirya.net>:
Bug acknowledged by developer. (Tue, 29 Sep 2009 23:15:09 GMT) Full text and rfc822 format available.

Message #28 received at 540421-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 540421-close@bugs.debian.org
Subject: Bug#540421: fixed in dbus-glib 0.82-2
Date: Tue, 29 Sep 2009 22:48:17 +0000
Source: dbus-glib
Source-Version: 0.82-2

We believe that the bug you reported is fixed in the latest version of
dbus-glib, which is due to be installed in the Debian FTP archive:

dbus-glib_0.82-2.diff.gz
  to pool/main/d/dbus-glib/dbus-glib_0.82-2.diff.gz
dbus-glib_0.82-2.dsc
  to pool/main/d/dbus-glib/dbus-glib_0.82-2.dsc
libdbus-glib-1-2-dbg_0.82-2_i386.deb
  to pool/main/d/dbus-glib/libdbus-glib-1-2-dbg_0.82-2_i386.deb
libdbus-glib-1-2_0.82-2_i386.deb
  to pool/main/d/dbus-glib/libdbus-glib-1-2_0.82-2_i386.deb
libdbus-glib-1-dev_0.82-2_i386.deb
  to pool/main/d/dbus-glib/libdbus-glib-1-dev_0.82-2_i386.deb
libdbus-glib-1-doc_0.82-2_all.deb
  to pool/main/d/dbus-glib/libdbus-glib-1-doc_0.82-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 540421@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated dbus-glib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 Sep 2009 23:49:03 +0200
Source: dbus-glib
Binary: libdbus-glib-1-dev libdbus-glib-1-2 libdbus-glib-1-doc libdbus-glib-1-2-dbg
Architecture: source all i386
Version: 0.82-2
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libdbus-glib-1-2 - simple interprocess messaging system (GLib-based shared library)
 libdbus-glib-1-2-dbg - simple interprocess messaging system (GLib library debug symbols)
 libdbus-glib-1-dev - simple interprocess messaging system (GLib interface)
 libdbus-glib-1-doc - simple interprocess messaging system (GLib library documentation)
Closes: 540421 541712 542513 544174 546044
Changes: 
 dbus-glib (0.82-2) unstable; urgency=low
 .
   * debian/patches/10_support_duplicate_object_registrations.patch
     - Pull patch from upstream git which allows duplicate object registrations
       and fixes a regression introduced in 0.82.
       (Closes: #540421, #541712, #542513, #544174, #546044)
   * Bump Standards-Version to 3.8.3. No further changes.
Checksums-Sha1: 
 8d591097724514560535916a1069d20a9afc3286 1571 dbus-glib_0.82-2.dsc
 eca53528bf68406315f73fd858f7cd312b9eee01 20539 dbus-glib_0.82-2.diff.gz
 218b980cd5963ffb461d7fa19fdc8b46b3961e11 135586 libdbus-glib-1-doc_0.82-2_all.deb
 c119a8cfbe22afa7570e3051151cbbfa58e0fb72 198054 libdbus-glib-1-dev_0.82-2_i386.deb
 4a79db6c252784165bc606181e261eea7d144685 154736 libdbus-glib-1-2_0.82-2_i386.deb
 d15a6f1a69b17a9daef581ad70febfe8c0674d84 157738 libdbus-glib-1-2-dbg_0.82-2_i386.deb
Checksums-Sha256: 
 5f9b05881ccec2c75bce90ad77bba2a52a55c58970d8bf70b3345265d722e536 1571 dbus-glib_0.82-2.dsc
 05c9893a1ceb40b7902f14649a61b456c578651e8633346fb9efcdf2fd02c0b9 20539 dbus-glib_0.82-2.diff.gz
 9fb976fde5ca6de090d795aa2bde634086f08af0272394f2a4348023ec303898 135586 libdbus-glib-1-doc_0.82-2_all.deb
 66797afbfe809e057225b67204ace38205303bda3c0f74991be92b3d36db5cec 198054 libdbus-glib-1-dev_0.82-2_i386.deb
 74575355184d020c2838f8d42627670e04668a792fbe1ee6c09ccd5590a2326c 154736 libdbus-glib-1-2_0.82-2_i386.deb
 d4ff372429eb0f233f61d1c24d62701616b1761fa6fafdc25ef68d907b6d0f49 157738 libdbus-glib-1-2-dbg_0.82-2_i386.deb
Files: 
 09c9fc8685b44cc22352b46559a3ac33 1571 devel optional dbus-glib_0.82-2.dsc
 c5ea5215ee9929cd78176d4990688d2a 20539 devel optional dbus-glib_0.82-2.diff.gz
 55a7a44104b93b8260de4372dceaa17a 135586 doc optional libdbus-glib-1-doc_0.82-2_all.deb
 f320d22ea3bc2032798593e495ab35b7 198054 libdevel optional libdbus-glib-1-dev_0.82-2_i386.deb
 55fcf8e84f6c46e5f69f5e9d6c2135b8 154736 libs optional libdbus-glib-1-2_0.82-2_i386.deb
 3a7e019c38d5131bfee75fc49cec41d6 157738 debug extra libdbus-glib-1-2-dbg_0.82-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrCgc4ACgkQh7PER70FhVTA7gCfWcfL8TxultTzRwx/pLWLEx/n
YbYAn27U9bHx3xrhp2ytTovEGI8ch1FR
=EPeK
-----END PGP SIGNATURE-----





Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Sep 2009 23:15:10 GMT) Full text and rfc822 format available.

Notification sent to Itaï BEN YAACOV <candeb@free.fr>:
Bug acknowledged by developer. (Tue, 29 Sep 2009 23:15:10 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Sep 2009 23:15:11 GMT) Full text and rfc822 format available.

Notification sent to Tony Houghton <h@realh.co.uk>:
Bug acknowledged by developer. (Tue, 29 Sep 2009 23:15:11 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Sep 2009 23:15:12 GMT) Full text and rfc822 format available.

Notification sent to Sam Morris <sam@robots.org.uk>:
Bug acknowledged by developer. (Tue, 29 Sep 2009 23:15:12 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 29 Sep 2009 23:15:13 GMT) Full text and rfc822 format available.

Notification sent to Andrea De Iacovo <andrea.de.iacovo@gmail.com>:
Bug acknowledged by developer. (Tue, 29 Sep 2009 23:15:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Nov 2009 07:32:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 17:56:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.